CREATE TABLE hrsa_hrm_snapshot  (
                                    ID bigint NOT NULL,
                                    snapshot_time datetime,
                                    employee_id bigint,
                                    loginid varchar(100),
                                    LASTNAME varchar(60),
                                    SEX char(1),
                                    BIRTHDAY char(10) ,
                                    NATIONALITY int ,
                                    MARITALSTATUS char(1) ,
                                    TELEPHONE varchar(60),
                                    MOBILE varchar(60) ,
                                    MOBILECALL varchar(60) ,
                                    EMAIL varchar(60),
                                    LOCATIONID int,
                                    WORKROOM varchar(60),
                                    HOMEADDRESS varchar(100),
                                    RESOURCETYPE char(1) ,
                                    STARTDATE char(10) ,
                                    ENDDATE char(10),
                                    JOBTITLE int ,
                                    JOBTITLENAME varchar(200) ,
                                    JOBACTIVITYDESC varchar(200),
                                    JOBLEVEL int ,
                                    SECLEVEL int ,
                                    DEPARTMENTID int ,
                                    DEPARTMENTNAME varchar(200) ,
                                    SUBCOMPANYID1 int ,
                                    SUBCOMPANYNAME varchar(200) ,
                                    COSTCENTERID int ,
                                    MANAGERID int ,
                                    ASSISTANTID int,
                                    BANKID1 int ,
                                    ACCOUNTID1 varchar(100) ,
                                    LASTLOGINDATE char(10) ,
                                    CERTIFICATENUM varchar(60) ,
                                    NATIVEPLACE varchar(100) ,
                                    EDUCATIONLEVEL int ,
                                    BEMEMBERDATE char(10) ,
                                    BEPARTYDATE char(10) ,
                                    WORKCODE varchar(60) ,
                                    REGRESIDENTPLACE varchar(200) ,
                                    HEALTHINFO char(1) ,
                                    RESIDENTPLACE varchar(200) ,
                                    POLICY varchar(30) ,
                                    DEGREE varchar(30) ,
                                    USEKIND int ,
                                    JOBCALL int ,
                                    jobcallname varchar(200) ,
                                    ACCUMFUNDACCOUNT varchar(30),
                                    BIRTHPLACE varchar(60) ,
                                    FOLK varchar(30) ,
                                    RESIDENTPHONE varchar(60) ,
                                    RESIDENTPOSTCODE varchar(60) ,
                                    EXTPHONE varchar(50) ,
                                    MANAGERSTR varchar(500),
                                    STATUS int ,
                                    FAX varchar(60) ,
                                    ISLABOUUNION char(1),
                                    TEMPRESIDENTNUMBER varchar(60),
                                    PROBATIONENDDATE char(10),
                                    COUNTRYID int ,
                                    ACCOUNTTYPE int ,
                                    BELONGTO int ,
                                    ACCOUNTNAME varchar(200) ,
                                    companystartdate varchar(10),
                                    workstartdate varchar(10) ,
                                    companyworkyear decimal(10, 2) ,
                                    workyear decimal(10, 2),
                                    PRIMARY KEY (id)
) 
GO